//---------------------------------------------------------------------------
#ifndef CDIniH
#define CDIniH

class TCDIni
{
public:
   __fastcall TCDIni();
   __fastcall ~TCDIni();

public:
   void __fastcall Initialize();
   void __fastcall OnExit();

private:
   // Main variables.
   AnsiString m_Title;
   AnsiString m_Icon;
   AnsiString m_Background;
   int m_Width;
   int m_Height;
   AnsiString m_StartSound;
   AnsiString m_ExitSound;

   // Shell variables.
   int m_Count;
   int m_Align;
   int m_LeftMargin;
   int m_TopMargin;
   int m_Spacing;
   int m_ActiveColor;
   int m_InactiveColor;
   AnsiString m_ActiveSound;
   AnsiString m_ShellSound;
   AnsiString m_FontName;
   int m_FontSize;

private:   // Implementation
   AnsiString __fastcall GetPathname();
};

//---------------------------------------------------------------------------
#endif
