//------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "MFrame.h"
#include "About.h"

const UINT ID_SYSMENU_ABOUT = 5000;

//------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMainframe *frmMainframe;
//------------------------------------------------------------------
__fastcall TfrmMainframe::TfrmMainframe(TComponent* Owner)
: TfrmMainframe_PARENT(Owner)
{
   HMENU sysMenu = ::GetSystemMenu(Handle, FALSE);

   AppendMenu(sysMenu,
      MF_SEPARATOR,
      0 /* ignored */,
      NULL /* ignored */);

   AppendMenu(sysMenu,
      MF_STRING,
      ID_SYSMENU_ABOUT,
      "&About CDBrowser...");
}

__fastcall TfrmMainframe::~TfrmMainframe()
{
}

//------------------------------------------------------------------
void __fastcall TfrmMainframe::FormCreate(TObject *Sender)
{
   m_CDIni.Initialize();
}

void __fastcall TfrmMainframe::FormDestroy(TObject *Sender)
{
   m_CDIni.OnExit();
}
//------------------------------------------------------------------

void __fastcall TfrmMainframe::OnSysCommand(TWMSysCommand& msg)
{
   if(ID_SYSMENU_ABOUT == msg.CmdType)
   {
      dlgAbout->ShowModal();

      msg.Result = 0;

      return;
   }

   TForm::Dispatch(&msg);
}

