OUTDIR=.\..
INTDIR=.\Release

ALL : "$(OUTDIR)\R2BTest.exe"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

"$(INTDIR)" :
    if not exist "$(INTDIR)/$(NULL)" mkdir "$(INTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MD /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D\
 "_AFXDLL" /Fp"$(INTDIR)\R2BTest.pch" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
CPP_OBJS=.\Release/

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) /Yu"stdafx.h" $< 
<<

RSC=rc.exe
RSC_PROJ=/l 0x409 /fo"$(INTDIR)\R2BTest.res" /d "NDEBUG" /d "_AFXDLL" 
	
LINK32=link.exe
LINK32_FLAGS=/nologo /subsystem:windows /incremental:no\
 /pdb:"$(OUTDIR)\R2BTest.pdb" /machine:I386 /out:"$(OUTDIR)\R2BTest.exe" /defaultlib:..\rtf2bmp.lib
LINK32_OBJS= \
	"$(INTDIR)\MainFrm.obj" \
	"$(INTDIR)\R2BDoc.obj" \
	"$(INTDIR)\R2BTest.obj" \
	"$(INTDIR)\R2BTest.res" \
	"$(INTDIR)\R2BView.obj" \
	"$(INTDIR)\StdAfx.obj"

"$(OUTDIR)\R2BTest.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

DEP_RSC_R2BTES=".\res\R2BDoc.ico" ".\res\R2BTest.ico" ".\res\R2BTest.rc2" ".\res\Toolbar.bmp"
"$(INTDIR)\R2BTest.res" : .\R2BTest.rc $(DEP_RSC_R2BTES) 
	$(RSC) $(RSC_PROJ) .\R2BTest.rc

DEP_CPP_MAINF=".\MainFrm.h" ".\R2BTest.h" ".\StdAfx.h"
"$(INTDIR)\MainFrm.obj" : .\MainFrm.cpp $(DEP_CPP_MAINF) "$(INTDIR)\R2BTest.pch"

DEP_CPP_R2BDO=".\R2BDoc.h" ".\R2BTest.h" ".\StdAfx.h"
"$(INTDIR)\R2BDoc.obj" : .\R2BDoc.cpp $(DEP_CPP_R2BDO) "$(INTDIR)\R2BTest.pch"

DEP_CPP_R2BTE=".\MainFrm.h" ".\R2BDoc.h" ".\R2BTest.h" ".\R2BView.h" ".\StdAfx.h"
"$(INTDIR)\R2BTest.obj" : .\R2BTest.cpp $(DEP_CPP_R2BTE) "$(INTDIR)\R2BTest.pch"

DEP_CPP_R2BVI=".\R2BDoc.h" ".\R2BTest.h" ".\R2BView.h" ".\StdAfx.h"
"$(INTDIR)\R2BView.obj" : .\R2BView.cpp $(DEP_CPP_R2BVI) "$(INTDIR)\R2BTest.pch"

"$(INTDIR)\StdAfx.obj"	"$(INTDIR)\R2BTest.pch" : .\StdAfx.cpp .\StdAfx.h\
  "$(INTDIR)"
  $(CPP) @<<
  $(CPP_PROJ) /Yc"stdafx.h" .\StdAfx.cpp
<<
