// R2BView.h : interface of the CRtf2BmpTestView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RTF2BMPTESTVIEW_H__C18D4A4F_FB4D_11D1_ADB9_00403333CF83__INCLUDED_)
#define AFX_RTF2BMPTESTVIEW_H__C18D4A4F_FB4D_11D1_ADB9_00403333CF83__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CRtf2BmpTestView : public CView
{
protected: // create from serialization only
  CRtf2BmpTestView();
  DECLARE_DYNCREATE(CRtf2BmpTestView)

// Attributes
public:
  CRtf2BmpTestDoc* GetDocument();

// Operations
public:

// Overrides
// ClassWizard generated virtual function overrides
//{{AFX_VIRTUAL(CRtf2BmpTestView)
public:
  virtual void OnDraw(CDC* pDC);  // overridden to draw this view
  virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
  virtual void OnInitialUpdate();
protected:
  virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
  virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
  virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
  //}}AFX_VIRTUAL

// Implementation
public:
  virtual ~CRtf2BmpTestView();
#ifdef _DEBUG
  virtual void AssertValid() const;
  virtual void Dump(CDumpContext& dc) const;
#endif

protected:
  char* m_pBuffer;
  int   m_nByteWidth;
  int   m_nWidth;
  int   m_nHeight;
  int   m_nTotalBufferSize;
  int   m_nScale;
  DWORD m_dwVersion;

protected:
  void  SetVersion(void);

// Generated message map functions
protected:
  //{{AFX_MSG(CRtf2BmpTestView)
  afx_msg void OnScale1x();
  afx_msg void OnUpdateScale1x(CCmdUI* pCmdUI);
  afx_msg void OnScaleHalf();
  afx_msg void OnUpdateScaleHalf(CCmdUI* pCmdUI);
  afx_msg void OnScaleQuarter();
  afx_msg void OnUpdateScaleQuarter(CCmdUI* pCmdUI);
  afx_msg void OnFileOpen();
  afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
  afx_msg void OnUpdateFileSave(CCmdUI* pCmdUI);
  afx_msg void OnUpdateFileSaveAs(CCmdUI* pCmdUI);
  afx_msg void OnDestroy();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Rtf2BmpTestView.cpp
inline CRtf2BmpTestDoc* CRtf2BmpTestView::GetDocument()
   { return (CRtf2BmpTestDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RTF2BMPTESTVIEW_H__C18D4A4F_FB4D_11D1_ADB9_00403333CF83__INCLUDED_)
