OUTDIR=.
INTDIR=.\Release

ALL : "$(OUTDIR)\Rtf2Bmp.dll"

"$(OUTDIR)" : 
  	if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

"$(INTDIR)" : 
	if not exist "$(INTDIR)/$(NULL)" mkdir "$(INTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS"\
 /Fp"$(INTDIR)\Rtf2Bmp.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
CPP_OBJS=.\Release/

.c{$(CPP_OBJS)}.obj:: 
	$(CPP) @<< 
	$(CPP_PROJ) $< 
<<

RSC=rc.exe
RSC_PROJ=/l 0x409 /fo"$(INTDIR)\RICHEDIT.res" /d "NDEBUG" 
	
DEF_FILE=rtf2bmp.def

LINK32=link.exe
LINK32_FLAGS=user32.lib gdi32.lib comdlg32.lib comctl32.lib\
 /def:$(DEF_FILE)\
 /nologo /subsystem:windows /dll /incremental:no\
 /pdb:"$(OUTDIR)\Rtf2Bmp.pdb" /machine:I386 /out:"$(OUTDIR)\Rtf2Bmp.dll"\
 /implib:"$(OUTDIR)\Rtf2Bmp.lib" 
LINK32_OBJS= "$(INTDIR)\RICHEDIT.res" "$(INTDIR)\RTF2BMP.OBJ"

"$(OUTDIR)\Rtf2Bmp.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

DEP_RSC_RICHE= ".\RTF2BMP.ICO" ".\TOOLBAR.BMP"
"$(INTDIR)\RICHEDIT.res" : .\RICHEDIT.RC $(DEP_RSC_RICHE) "$(INTDIR)"
	$(RSC) $(RSC_PROJ) .\RICHEDIT.RC

"$(INTDIR)\RTF2BMP.OBJ" : .\RTF2BMP.C
