// sproc.c

#include <stdlib.h>
#include <stdio.h>
#include <windows.h>

int main(int argc, char *argv[])
{
    PROCESS_INFORMATION processInfo;
    STARTUPINFO         startupInfo;
    LPTSTR              pTemp, p;
    TCHAR               cmdLine[MAX_PATH];

    GetStartupInfo(&startupInfo);

    pTemp = GetCommandLine();
    for (p=pTemp; *p!=0 && *p!=' '; p++);
    lstrcpy(cmdLine, ++p);

    printf("Executing '%s'\n", cmdLine);

    if (!CreateProcess(NULL, cmdLine, NULL, NULL, FALSE,
                       CREATE_SUSPENDED, NULL, NULL,
                       &startupInfo, &processInfo)) {
        printf("Error creating process <%s>\n", cmdLine);
    }

    SetProcessAffinityMask(processInfo.hProcess, 0x1);
    ResumeThread(processInfo.hThread);
    
    CloseHandle(processInfo.hThread);
    CloseHandle(processInfo.hProcess);

    return EXIT_SUCCESS;
}

