// dontkill.c

#include <windows.h>
#include "wintest.h"

HANDLE  T1, T2;
volatile int GlobalInt = 0;

DWORD WINAPI Thread1(LPVOID Arg)
{
    while (GlobalInt < 0xFFFFFFF) {
        GlobalInt++;
    }
   return 0;
}

LRESULT CALLBACK 
WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
    DWORD   startTime = 0, stopTime = 0;
    TCHAR   sz[MAX_PATH];

    switch (message) {
        case WM_COMMAND:
            switch(LOWORD(wParam)) {

                case IDM_THREAD_TEST:
                    T1 = CreateThread(0, 0, Thread1, 0, 0, NULL);
                    T2 = CreateThread(0, 0, Thread1, 0, 0, NULL);
            
                    SetThreadAffinityMask(T1, 0x01);
                    SetThreadAffinityMask(T2, 0x02);
            
                    startTime = GetTickCount();
                    WaitForSingleObject(T1, INFINITE);
                    WaitForSingleObject(T2, INFINITE);            
                    stopTime = GetTickCount();

                    wsprintf(sz, "Test Run (2) Duration = %d msec", 
                             stopTime - startTime);
                    MessageBox(hWnd, sz, "WinTest", MB_OK);
                    break;
            }
            break;

        case WM_DESTROY:      
            PostQuitMessage(0);
            break;

        default:
            return (DefWindowProc(hWnd, message, wParam, lParam));
    }
    return 0;
}

int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
                     LPSTR lpCmdLine, int nCmdShow)
{
    MSG       msg;
    WNDCLASS  wc;
    HWND      hWnd;

    wc.style         = CS_HREDRAW | CS_VREDRAW;
    wc.lpfnWndProc   = (WNDPROC)WndProc;
    wc.cbClsExtra    = 0;
    wc.cbWndExtra    = 0;
    wc.hInstance     = hInstance;
    wc.hIcon         = NULL;
    wc.hCursor       = NULL;
    wc.hbrBackground = (HBRUSH)(COLOR_WINDOW+1);
    wc.lpszMenuName  = TEXT("WINTEST_MENU");
    wc.lpszClassName = TEXT("WinTest");
    RegisterClass(&wc);
    
    hWnd = CreateWindow(TEXT("WinTest"),NULL,WS_OVERLAPPEDWINDOW,
                        CW_USEDEFAULT, 0, CW_USEDEFAULT, 0,
                        NULL, NULL, hInstance, NULL);
    
    UpdateWindow(hWnd);
    ShowWindow(hWnd, SW_SHOWNORMAL);

    while (GetMessage(&msg, NULL, 0, 0)) {
        TranslateMessage(&msg);
        DispatchMessage(&msg);
   }

   return msg.wParam;
}

