// LongPath.cpp

#include <stdio.h>
#include <conio.h>
#include <assert.h>
#include "LongPath.h"


void test( LPCTSTR pszShort ) {

    CoInitialize( 0 );

    _tprintf( _T( "\nShortName: %s\n" ), pszShort );
    
    TCHAR szLong[ MAX_PATH ] = { 0 };

    getLongPathName1( pszShort, szLong );
    _tprintf( _T( "LongName1: %s\n" ), szLong );

    getLongPathName2( pszShort, szLong );
    _tprintf( _T( "LongName2: %s\n" ), szLong );

    getLongPathName3( pszShort, szLong );
    _tprintf( _T( "LongName3: %s\n" ), szLong );

    getLongPathName( pszShort, szLong );
    _tprintf( _T( "LongName : %s\n" ), szLong );

    CoUninitialize();
}


int _tmain( int argc, TCHAR* argv[] ) {

    _tprintf( _T( "Testing %d file(s)..." ), argc - 1 );

#ifdef UNICODE
    wprintf( L"[Unicode]\n" );
#else
    printf( "[ANSI]\n" );
#endif

    for ( int iArg = 1; iArg < argc; ++iArg ) {
        test( argv[ iArg ] );
    }

    return 0;
}

// end of file